Show / Hide Table of Contents

# Struct StdVector<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct StdVector<T>

        where T : struct

##### Type Parameters

Name | Description
--- | ---
T |

### Fields

| Improve this Doc View Source

#### End

##### Declaration

    public T*End

##### Field Value

Type | Description
--- | ---
T* |

| Improve this Doc View Source

#### First

##### Declaration

    public T*First

##### Field Value

Type | Description
--- | ---
T* |

| Improve this Doc View Source

#### Last

##### Declaration

    public T*Last

##### Field Value

Type | Description
--- | ---
T* |

### Properties

| Improve this Doc View Source

#### Span

##### Declaration

    public readonly ReadOnlySpan<T> Span { get; }

##### Property Value

Type | Description
--- | ---
ReadOnlySpan<T> |

### Methods

| Improve this Doc View Source

#### Capacity()

##### Declaration

    public ulong Capacity()

##### Returns

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Get(UInt64)

##### Declaration

    public T Get(ulong index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | index |

##### Returns

Type | Description
--- | ---
T |

| Improve this Doc View Source

#### Size()

##### Declaration

    public ulong Size()

##### Returns

Type | Description
--- | ---
System.UInt64 |